[arch-commits] Commit in yodl/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Wed Jan 27 22:20:42 EST 2010


    Date: Wednesday, January 27, 2010 @ 22:20:42
  Author: eric
Revision: 65345

Merged revisions 65343 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/yodl/trunk

........
  r65343 | eric | 2010-01-27 22:19:59 -0500 (Wed, 27 Jan 2010) | 2 lines
  
  upgpkg: yodl 2.15.1-2
      Added macros (close FS#17882), Added bash depends
........

Modified:
  yodl/repos/extra-x86_64/	(properties)
  yodl/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)


Property changes on: yodl/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /yodl/trunk:1-51827
   + /yodl/trunk:1-65344

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2010-01-28 03:20:19 UTC (rev 65344)
+++ extra-x86_64/PKGBUILD	2010-01-28 03:20:42 UTC (rev 65345)
@@ -1,21 +1,26 @@
 # $Id$
-# Maintainer: Jeff Mickey <jeff at archlinux.org>
+# Maintainer: Eric Belanger <eric at archlinux.org>
+# Contributor: Jeff Mickey <jeff at archlinux.org>
 
 pkgname=yodl
 pkgver=2.15.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Implements a pre-document language and tools to process it."
 arch=('i686' 'x86_64')
 url="http://yodl.sourceforge.net"
 license=('GPL3')
+depends=('bash')
 makedepends=('icmake')
 source=(http://downloads.sourceforge.net/project/yodl/yodl/${pkgver}/yodl_${pkgver}.orig.tar.gz)
 md5sums=('4a6bec6216f5b9c4f6c18e8d8dff8deb')
+sha1sums=('52752707dfe9bb58430f8b3687f6eb72c728cb1d')
 
 build() {
-  cd $srcdir/$pkgname-$pkgver
-  ./build programs
-  ./build install programs $pkgdir
-  ./build man
-  ./build install man $pkgdir
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./build programs || return 1
+  ./build macros || return 1
+  ./build man || return 1
+  ./build install programs "${pkgdir}" || return 1
+  ./build install macros "${pkgdir}" || return 1
+  ./build install man "${pkgdir}" || return 1
 }



More information about the arch-commits mailing list